Skip to content

Create a content import source

Request

You can create a new content import source by sending a POST request to this endpoint.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.12"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.12
Bodyapplication/json
sync_behaviorstringrequired

If you intend to create or update External Pages via the API, this should be set to api.

Value:"api"
Example:"api"
statusstring

The status of the content import source.

Default:"active"
Enum:"active""deactivated"
Example:"active"
urlstringrequired

The URL of the content import source.

Example:"https://help.example.com"
curl -i -X POST \
  https://api.intercom.io/ai/content_import_sources \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.12' \
  -d '{
    "sync_behavior": "api",
    "url": "https://www.example.com"
  }'

Responses

successful

Bodyapplication/json
typestringrequired

Always external_page

Default:"content_import_source"
Value:"content_import_source"
Example:"content_import_source"
idintegerrequired

The unique identifier for the content import source which is given by Intercom.

Example:1234
last_synced_atinteger, (date-time)required

The time when the content import source was last synced.

Example:1672928610
sync_behaviorstringrequired

If you intend to create or update External Pages via the API, this should be set to api.

Enum:"api""automatic""manual"
Example:"api"
statusstringrequired

The status of the content import source.

Default:"active"
Enum:"active""deactivated"
Example:"active"
urlstringrequired

The URL of the root of the external source.

Example:"https://help.example.com/"
created_atinteger, (date-time)required

The time when the content import source was created.

Example:1672928359
updated_atinteger, (date-time)required

The time when the content import source was last updated.

Example:1672928610
Response
{ "id": 4, "type": "content_import_source", "last_synced_at": 1736201405, "status": "active", "url": "https://www.example.com", "sync_behavior": "api", "created_at": 1736201405, "updated_at": 1736201405 }